[FreeBSD 7.0] Antivirus commercial postfix

Le
Laurent
Bonjour,

Je suis actuellement à la recherche d'un antivirus commercial à
greffer sur Postfix 2.5 sous FreeBSD 7amd64. J'ai en effet déjà en
place Clamav et souhaiterais donc doubler celui-ci par un antivirus
payant afin de rassurer ceux qui ne croient pas au libre dans ma boite
(et je suis quasiment le seul à y croire).

J'ai déjà voulu essayer les version d'essai de Bitdefender et
Kaspersky mais ceux-ci ne veulent a priori tourner que sur FreeBSD 5x
ou 6x (j'ai essayé de jouer avec libmap32.conf pour faire croire au
bonnes versions mais sans succès). La version d'essai de F-Prot quand
à elle est expirée et ne veut pas se lancer (elle était valable 60
jours _après qu'ils l'ai fourni au téléchargement_, ce qui est idiot)=
.

Donc si quelqu'un à un nom d'antivirus mail à me donner ou ayant
réussi à faire fonctionner Bitdefender ou Kaspersky sous FreeBSD 7, je
suis tout ouïe.

D'avance merci,

--
Laurent C.
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
F. Senault
Le #16593451
Le 21 août à 15:12, Laurent a écrit :

Bonjour,

J'ai déjà voulu essayer les version d'essai de Bitdefender et
Kaspersky mais ceux-ci ne veulent a priori tourner que sur FreeBSD 5x
ou 6x (j'ai essayé de jouer avec libmap32.conf pour faire croire au
bonnes versions mais sans succès).



Pour _vraiment_ faire croire aux bonnes versions, il faut compiler un
noyau avec l'option COMPAT_FREEBSD6 (ou 5 ou 4) et installer les ports
misc/compat6x (5x, 4x).

Pour faire tourner F-Prot workstation sur AMD64, il m'a fallu aussi
rajouter COMPAT_IA32 dans le noyau pour réussir à lancer le bidule (file
sur le binaire me dit "ELF 32-bit LSB executable, Intel 80386, version 1
(FreeBSD), for FreeBSD 4.9, statically linked, FreeBSD-style,
stripped").

HTH.

Fred
--
Kill -9 them all. Let init sort them out.
(Joe Bednorz)
Laurent
Le #16593851
On 21 août, 16:03, "F. Senault"
Le 21 août à 15:12, Laurent a écrit :

> Bonjour,

> J'ai déjà voulu essayer les version d'essai de Bitdefender et
> Kaspersky mais ceux-ci ne veulent a priori tourner que sur FreeBSD 5x
> ou 6x (j'ai essayé de jouer avec libmap32.conf pour faire croire au
> bonnes versions mais sans succès).

Pour _vraiment_ faire croire aux bonnes versions, il faut compiler un
noyau avec l'option COMPAT_FREEBSD6 (ou 5 ou 4) et installer les ports
misc/compat6x (5x, 4x).



L'option COMPAT_FREEBSD6 est compilée par défaut dans le noyau
générique, par contre j'avais complètememnt zappé les ports
correspondants. Kaspersky se lance bien maintenant.


Pour faire tourner F-Prot workstation sur AMD64, il m'a fallu aussi
rajouter COMPAT_IA32 dans le noyau pour réussir à lancer le bidule (f ile
sur le binaire me dit "ELF 32-bit LSB executable, Intel 80386, version 1
(FreeBSD), for FreeBSD 4.9, statically linked, FreeBSD-style,
stripped").



En fait chez moi F-PROT workstation tourne aussi comme il faut sans
rien toucher (COMPAT_IA32 est surement compilé par défaut aussi), par
contre le binaire "f-protd" servant pour le milter m'envoie paître
avec un message de période d'essai écoulé.

Merci en tout cas pour la réponse rapide, je vais pouvoir avancer :)

--
Laurent C.
xavier
Le #16613941
Laurent
Je suis actuellement à la recherche d'un antivirus commercial à
greffer sur Postfix 2.5 sous FreeBSD 7amd64.



Je suis très content de F-Prot. J'ai d'ailleurs viré ClamAV

--
XAv
In your pomp and all your glory you're a poorer man than me,
as you lick the boots of death born out of fear.
Publicité
Poster une réponse
Anonyme